﻿/*
 * Created by SharpDevelop.
 * User: jt
 * Date: 31-10-2010
 * Time: 02:19
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using Microsoft.Win32;
using System.Windows.Forms;

namespace HovText
{
	/// <summary>
	/// Description of WinStart.
	/// </summary>
	public class WinStart
	{
		
		RegistryKey rkApp; 
		
		public WinStart()
		{
			rkApp = Registry.CurrentUser.OpenSubKey("SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run", true);
		}
		
		public void InstallStartup()
		{
			rkApp.SetValue("HovText", Application.ExecutablePath);
		}
		
		public bool HasStartup()
		{
			return (rkApp.GetValue("HovText") != null);
		}
		
		public void RemoveStartup()
		{
			rkApp.DeleteValue("HovText", false);
		}
		
		
	}
}
